import matplotlib.pyplot as plt

def set_size(w,h, ax=None):
#   set_size is supposed take arguments in inches.
#   the aspect ratio in the actual plot is a little off, but OK.
#   from https://stackoverflow.com/questions/44970010/axes-class-set-explicitly-size-width-height-of-axes-in-given-units
    """ w, h: width, height in inches """
#   Note: gca means get current axes
    if not ax: ax=plt.gca()
    l = ax.figure.subplotpars.left
    r = ax.figure.subplotpars.right
    t = ax.figure.subplotpars.top
    b = ax.figure.subplotpars.bottom
    figw = float(w)/(r-l)
    figh = float(h)/(t-b)
    ax.figure.set_size_inches(figw, figh)
